Subject: Re: Use of LWSP in ABNF -- consensus call

From: Dave Crocker <[email-masked]>
Date: Sat, 22 Sep 2007 09:42:25 -0700

On 5/14/2007 Lisa Dusseault wrote:

> The IESG reviewed 
> <http://www.ietf.org/internet-drafts/draft-crocker-rfc4234bis-00.txt> 
> for publication as Internet Standard and would like to know if there is 
> consensus to recommend against the use of LWSP in future specifications, 
> as it has caused problems recently in DKIM and could cause problems in 
> other places.
> 
> Some discussion on this point already:
>  - http://www1.ietf.org/mail-archive/web/ietf/current/msg46048.html
>  - http://www1.ietf.org/mail-archive/web/discuss/current/msg00463.html
>  - http://mipassoc.org/pipermail/ietf-dkim/2007q1/007295.html
>  - 
> https://datatracker.ietf.org/public/pidtracker.cgi?command=view_comment&id=66440  
> (in this tracker comment, Chris Newman recommended to remove LWSP, but 
> for backward-compatibility it's probably better to keep it and recommend 
> against use)

Folks,

The current situation with elevating the ABNF document to full Internet 
Standard is that Lisa has a Discuss hold on it, on behalf of an IESG view that 
a warning note should be attached.

Acting as an individual contributor, Chris Newman has offered the following 
change to the document, as a possible means of resolving things:

> OLD:
>         LWSP           =  *(WSP / CRLF WSP)
>                        ; linear white space (past newline)
> NEW:
>         LWSP           =  *(WSP / CRLF WSP)
>                        ; Use of this linear-white-space rule permits
>                        ; lines containing only white space that are no
>                        ; longer legal in mail headers and have caused
>                        ; interoperability problems in other contexts.
>                        ; Do not use when defining mail headers and use
>                        ; with caution in other contexts.

The nature of the IETF process is such that there are no guarantees for what 
will resolve a Discuss, but the signs are good that a consensus on this list, 
for a note of this type, will suffice.

The premise is that the discussion on this list, last May, had consensus to 
retain the LWSP construct and consensus to add a warning.  The text that Chris 
is suggesting seems to accomplish this.

In spite of saying "Do not use", the comment is non-normative, in formal IETF 
specification terms.  Yet it does seem to adequately describe the problem and 
the way to deal with it.

           So, I'm going to ask for a consensus call on this
           modification, where the assumption is that the text
           is acceptable.

           All that is needed is for folk who *object* to speak up
           and state their reasons.

           If there is consensus *against* this change, we'll have to
           try something else.

           Absent a consensus *against* the wording change, we will
           propose it to Lisa and see if that resolves her Discuss.

           This consensus call closes on Sunday, 30 September.

Thanks.

d/
-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net

---

From: Keith Moore <[email-masked]>
Date: Sat, 22 Sep 2007 12:51:46 -0400

the proposed change seems reasonable to me.

Keith

>> for publication as Internet Standard and would like to know if there
>> is consensus to recommend against the use of LWSP in future
>> specifications, as it has caused problems recently in DKIM and could
>> cause problems in other places.
>>
>> (in this tracker comment, Chris Newman recommended to remove LWSP,
>> but for backward-compatibility it's probably better to keep it and
>> recommend against use)
>
>
> Folks,
>
> The current situation with elevating the ABNF document to full
> Internet Standard is that Lisa has a Discuss hold on it, on behalf of
> an IESG view that a warning note should be attached.
>
> Acting as an individual contributor, Chris Newman has offered the
> following change to the document, as a possible means of resolving
> things:
>
>
>> OLD:
>>         LWSP           =  *(WSP / CRLF WSP)
> The nature of the IETF process is such that there are no guarantees
> for what will resolve a Discuss, but the signs are good that a
> consensus on this list, for a note of this type, will suffice.
>
> The premise is that the discussion on this list, last May, had
> consensus to retain the LWSP construct and consensus to add a
> warning.  The text that Chris is suggesting seems to accomplish this.
>
> In spite of saying "Do not use", the comment is non-normative, in
> formal IETF specification terms.  Yet it does seem to adequately
> describe the problem and the way to deal with it.
>
>
>

---

From: "Frank Ellermann" <[email-masked]>
Date: Sat, 22 Sep 2007 23:46:39 +0200

>>                ; with caution in other contexts.

[...]
> warning.  The text that Chris is suggesting seems to accomplish

The text is fine, and slightly stronger than my proposal in April:
<http://article.gmane.org/gmane.ietf.general/24801/match=lwsp>

I'd prefer to put the prose in the security considerations, but
that's only a matter of taste, I don't like long comments in ABNF.

 Frank

---

From: Alexey Melnikov <[email-masked]>
Date: Sun, 23 Sep 2007 15:10:13 +0100

>>                        ; with caution in other contexts.
I think this change is good enough, so I support it.